Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156878 - x86_64 kernel wrongly adds "console=tty0" to the end of /proc/cmdline
Summary: x86_64 kernel wrongly adds "console=tty0" to the end of /proc/cmdline
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 21:10 UTC by Peter Jones
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 19:54:44 UTC


Attachments (Terms of Use)

Description Peter Jones 2005-05-04 21:10:02 UTC
Description of problem:

On x86_64, the kernel wrongly adds "console=tty0" to the end of /proc/cmdline .

Although I doubt if it's even remotely sane to add this at all, it needs to at
least add it to the _beginning_ of the list -- otherwise, "init=/bin/bash" and
similar situations break, because the arguments after init= are passed on to the
init program.  It'll then exit because of bogus command line arguments, and
you'll get a panic.

Comment 1 Dave Jones 2005-05-10 19:51:33 UTC
wierd. I wonder why it adds it.
I'll have a poke around and see if I can find out why.


Comment 2 Dave Jones 2005-06-27 23:22:52 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.


Note You need to log in before you can comment on or make changes to this bug.